/customerio-customers | Type: Application | PCID required: Yes
Tools
customerio_customers_create_man_segment
Create a manual segment Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
segment | object | Yes | — | The segment value |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"segment": {
"type": "object",
"description": "The segment value",
"properties": {
"name": {
"type": "string",
"description": "The name of the segment."
},
"description": {
"type": "string",
"description": "A description for the segment. This can help you understand the purpose of the segment when you encounter it in other requests or in the UI."
}
},
"required": [
"name"
]
}
},
"required": [
"PCID",
"segment"
]
}
customerio_customers_delete_man_segment
Delete a segment Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
segment_id | integer | Yes | — | The identifier for a segment. You can find your segment’s ID on its page in the dashboard—go to Segments, select your segment, and find the ID under Usage. Or you can find your segment using the App API. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"segment_id": {
"type": "integer",
"description": "The identifier for a segment. You can find your segment's ID on its page in the dashboard—go to *Segments*, select your segment, and find the ID under *Usage*. Or you can find your segment using the [App API](#tag/Segments)."
}
},
"required": [
"PCID",
"segment_id"
]
}
customerio_customers_get_channels
List subscription channelsShow inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
}
},
"required": [
"PCID"
]
}
customerio_customers_get_object_attributes
Get Object Attributes Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
object_type_id | integer | Yes | — | The object type an object belongs to—like “Companies” or “Accounts”. Object type IDs begin at 1 and increment for each new type. |
object_id | string | Yes | — | The object_id or cio_object_id of an object, depending on the id_type specified in query params. id_type defaults to object_id. |
id_type | string | No | — | Id Type |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"object_type_id": {
"type": "integer",
"description": "The object type an object belongs to—like \"Companies\" or \"Accounts\". Object type IDs begin at `1` and increment for each new type."
},
"object_id": {
"type": "string",
"description": "The `object_id` or `cio_object_id` of an object, depending on the `id_type` specified in query params. `id_type` defaults to `object_id`."
},
"id_type": {
"type": "string",
"description": "Id Type",
"enum": [
"object_id",
"cio_object_id"
]
}
},
"required": [
"PCID",
"object_type_id",
"object_id"
]
}
customerio_customers_get_object_relationships
Get Object Relationships Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
object_type_id | integer | Yes | — | The object type an object belongs to—like “Companies” or “Accounts”. Object type IDs begin at 1 and increment for each new type. |
object_id | string | Yes | — | The object_id or cio_object_id of an object, depending on the id_type specified in query params. id_type defaults to object_id. |
start | string | No | — | The token for the page of results you want to return. Responses contain a next property. Use this property as the start value to return the next page of results. |
limit | integer | No | — | The maximum number of results you want to retrieve per page. |
id_type | string | No | — | Id Type |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"object_type_id": {
"type": "integer",
"description": "The object type an object belongs to—like \"Companies\" or \"Accounts\". Object type IDs begin at `1` and increment for each new type."
},
"object_id": {
"type": "string",
"description": "The `object_id` or `cio_object_id` of an object, depending on the `id_type` specified in query params. `id_type` defaults to `object_id`."
},
"start": {
"type": "string",
"description": "The token for the page of results you want to return. Responses contain a `next` property. Use this property as the `start` value to return the next page of results."
},
"limit": {
"type": "integer",
"description": "The maximum number of results you want to retrieve per page."
},
"id_type": {
"type": "string",
"description": "Id Type",
"enum": [
"object_id",
"cio_object_id"
]
}
},
"required": [
"PCID",
"object_type_id",
"object_id"
]
}
customerio_customers_get_object_types
List object typesShow inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
}
},
"required": [
"PCID"
]
}
customerio_customers_get_objects_filter
Find objects Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
start | string | No | — | The token for the page of results you want to return. Responses contain a next property. Use this property as the start value to return the next page of results. |
limit | integer | No | — | The maximum number of results you want to retrieve per page. |
filter | object | Yes | — | Use and, or, and not to combine object attribute conditions. The top-level object accepts one property; nest groups for complex filters. |
object_type_id | string | Yes | — | The type of object you want to search in. Object type IDs are integers passed as strings. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"start": {
"type": "string",
"description": "The token for the page of results you want to return. Responses contain a `next` property. Use this property as the `start` value to return the next page of results."
},
"limit": {
"type": "integer",
"description": "The maximum number of results you want to retrieve per page."
},
"filter": {
"description": "Use `and`, `or`, and `not` to combine object attribute conditions. The top-level object accepts one property; nest groups for complex filters."
},
"object_type_id": {
"type": "string",
"description": "The type of object you want to search in. Object type IDs are integers passed as strings."
}
},
"required": [
"PCID",
"filter",
"object_type_id"
]
}
customerio_customers_get_people_by_id
List customers, attributes, and devices Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
ids | string[] | Yes | — | An array of up to 100 customer IDs. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"ids": {
"type": "array",
"items": {
"type": "string"
},
"description": "An array of up to 100 customer IDs."
}
},
"required": [
"PCID",
"ids"
]
}
customerio_customers_get_people_email
Get customers by email Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
email | string | Yes | — | The email address you want to search for. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"email": {
"type": "string",
"description": "The email address you want to search for."
}
},
"required": [
"PCID",
"email"
]
}
customerio_customers_get_people_filter
Search for customers Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
start | string | No | — | The token for the page of results you want to return. Responses contain a next property. Use this property as the start value to return the next page of results. |
limit | integer | No | — | The maximum number of results you want to retrieve per page. |
filter | object | Yes | — | Use and, or, and not to combine segment and attribute conditions. The top-level object accepts one property; nest groups for complex filters. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"start": {
"type": "string",
"description": "The token for the page of results you want to return. Responses contain a `next` property. Use this property as the `start` value to return the next page of results."
},
"limit": {
"type": "integer",
"description": "The maximum number of results you want to retrieve per page."
},
"filter": {
"description": "Use `and`, `or`, and `not` to combine segment and attribute conditions. The top-level object accepts one property; nest groups for complex filters."
}
},
"required": [
"PCID",
"filter"
]
}
customerio_customers_get_person_activities
Lookup a customer’s activities Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
customer_id | string | Yes | — | The ID of the customer you want to perform an operation against. |
id_type | string | No | — | The type of customer_id you want to use to reference a person. If you don’t provide this parameter, we assume that the customer_id in your request is a person’s id. |
start | string | No | — | The token for the page of results you want to return. Responses contain a next property. Use this property as the start value to return the next page of results. |
limit | integer | No | — | The maximum number of results you want to retrieve per page. |
type | string | No | — | The type of activity you want to search for. Types with _o:<object_type_id> are for objects and types with _r:<object_type_id> are for relationships. |
name | string | No | — | For event and attribute_update types, you can search by event or attribute name respectively. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"customer_id": {
"type": "string",
"description": "The ID of the customer you want to perform an operation against."
},
"id_type": {
"type": "string",
"description": "The type of `customer_id` you want to use to reference a person. If you don't provide this parameter, we assume that the `customer_id` in your request is a person's `id`.",
"enum": [
"id",
"email",
"cio_id"
]
},
"start": {
"type": "string",
"description": "The token for the page of results you want to return. Responses contain a `next` property. Use this property as the `start` value to return the next page of results."
},
"limit": {
"type": "integer",
"description": "The maximum number of results you want to retrieve per page."
},
"type": {
"type": "string",
"description": "The type of activity you want to search for. Types with `_o:<object_type_id>` are for objects and types with `_r:<object_type_id>` are for relationships.",
"enum": [
"add_relationship",
"anon_merge",
"attempted_action",
"attempted_email",
"attempted_in_app",
"attempted_push",
"attempted_slack",
"attempted_twilio",
"attempted_webhook",
"attempted_whatsapp",
"attribute_change",
"bounced_action",
"bounced_email",
"bounced_push",
"bounced_twilio",
"bounced_whatsapp",
"clicked_action",
"clicked_content",
"clicked_email",
"clicked_in_app",
"clicked_push",
"clicked_twilio",
"clicked_webhook",
"converted_action",
"converted_content",
"converted_email",
"converted_in_app",
"converted_slack",
"converted_twilio",
"converted_webhook",
"converted_whatsapp",
"deferred_action",
"deferred_email",
"deferred_in_app",
"deferred_push",
"deferred_slack",
"deferred_twilio",
"deferred_webhook",
"deferred_whatsapp",
"delete_relationship",
"delivered_action",
"delivered_email",
"delivered_push",
"delivered_twilio",
"delivered_whatsapp",
"device_change",
"drafted_action",
"drafted_email",
"drafted_in_app",
"drafted_push",
"drafted_slack",
"drafted_twilio",
"drafted_webhook",
"dropped_action",
"dropped_email",
"dropped_push",
"dropped_twilio",
"dropped_webhook",
"dropped_whatasapp",
"event",
"failed_action",
"failed_attribute_change",
"failed_batch_update",
"failed_email",
"failed_event",
"failed_in_app",
"failed_object_journeys",
"failed_push",
"failed_query_collection",
"failed_slack",
"failed_twilio",
"failed_webhook",
"failed_whatsapp",
"opened_action",
"opened_email",
"opened_in_app",
"opened_push",
"page",
"profile_create",
"profile_delete",
"profile_merge",
"relationship_attribute_change",
"relationship_failed_attribute_change",
"screen",
"sent_action",
"sent_email",
"sent_in_app",
"sent_push",
"sent_slack",
"sent_twilio",
"sent_webhook",
"sent_whatsapp",
"skipped_update",
"spammed_email",
"suppressed_twilio",
"suppressed_whatsapp",
"topic_unsubscribed_email",
"undeliverable_action",
"undeliverable_email",
"undeliverable_in_app",
"undeliverable_push",
"undeliverable_slack",
"undeliverable_twilio",
"undeliverable_webhook",
"undeliverable_whatsapp",
"unsubscribed_action",
"unsubscribed_email",
"viewed_content",
"webhook_event",
"_o:<object_type_id>:add_relationship",
"_o:<object_type_id>:attribute_change",
"_o:<object_type_id>:create",
"_o:<object_type_id>:delete",
"_o:<object_type_id>:delete_relationship",
"_o:<object_type_id>:failed_attribute_change",
"_r:<object_type_id>:attribute_change",
"_r:<object_type_id>:failed_attribute_change"
]
},
"name": {
"type": "string",
"description": "For `event` and `attribute_update` types, you can search by event or attribute name respectively."
}
},
"required": [
"PCID",
"customer_id"
]
}
customerio_customers_get_person_attributes
Lookup a customer’s attributes Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
customer_id | string | Yes | — | The ID of the customer you want to perform an operation against. |
id_type | string | No | — | The type of customer_id you want to use to reference a person. If you don’t provide this parameter, we assume that the customer_id in your request is a person’s id. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"customer_id": {
"type": "string",
"description": "The ID of the customer you want to perform an operation against."
},
"id_type": {
"type": "string",
"description": "The type of `customer_id` you want to use to reference a person. If you don't provide this parameter, we assume that the `customer_id` in your request is a person's `id`.",
"enum": [
"id",
"email",
"cio_id"
]
}
},
"required": [
"PCID",
"customer_id"
]
}
customerio_customers_get_person_messages
Lookup messages sent to a customer Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
customer_id | string | Yes | — | The ID of the customer you want to perform an operation against. |
id_type | string | No | — | The type of customer_id you want to use to reference a person. If you don’t provide this parameter, we assume that the customer_id in your request is a person’s id. |
start | string | No | — | The token for the page of results you want to return. Responses contain a next property. Use this property as the start value to return the next page of results. |
limit | integer | No | — | The maximum number of results you want to retrieve per page. |
start_ts | integer | No | — | The beginning timestamp for your query. |
end_ts | integer | No | — | The ending timestamp for your query. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"customer_id": {
"type": "string",
"description": "The ID of the customer you want to perform an operation against."
},
"id_type": {
"type": "string",
"description": "The type of `customer_id` you want to use to reference a person. If you don't provide this parameter, we assume that the `customer_id` in your request is a person's `id`.",
"enum": [
"id",
"email",
"cio_id"
]
},
"start": {
"type": "string",
"description": "The token for the page of results you want to return. Responses contain a `next` property. Use this property as the `start` value to return the next page of results."
},
"limit": {
"type": "integer",
"description": "The maximum number of results you want to retrieve per page."
},
"start_ts": {
"type": "integer",
"description": "The beginning timestamp for your query."
},
"end_ts": {
"type": "integer",
"description": "The ending timestamp for your query."
}
},
"required": [
"PCID",
"customer_id"
]
}
customerio_customers_get_person_relationships
Lookup a customer’s relationships Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
customer_id | string | Yes | — | The ID of the customer you want to perform an operation against. |
start | string | No | — | The token for the page of results you want to return. Responses contain a next property. Use this property as the start value to return the next page of results. |
limit | integer | No | — | The maximum number of results you want to retrieve per page. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"customer_id": {
"type": "string",
"description": "The ID of the customer you want to perform an operation against."
},
"start": {
"type": "string",
"description": "The token for the page of results you want to return. Responses contain a `next` property. Use this property as the `start` value to return the next page of results."
},
"limit": {
"type": "integer",
"description": "The maximum number of results you want to retrieve per page."
}
},
"required": [
"PCID",
"customer_id"
]
}
customerio_customers_get_person_segments
Lookup a customer’s segments Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
customer_id | string | Yes | — | The ID of the customer you want to perform an operation against. |
id_type | string | No | — | The type of customer_id you want to use to reference a person. If you don’t provide this parameter, we assume that the customer_id in your request is a person’s id. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"customer_id": {
"type": "string",
"description": "The ID of the customer you want to perform an operation against."
},
"id_type": {
"type": "string",
"description": "The type of `customer_id` you want to use to reference a person. If you don't provide this parameter, we assume that the `customer_id` in your request is a person's `id`.",
"enum": [
"id",
"email",
"cio_id"
]
}
},
"required": [
"PCID",
"customer_id"
]
}
customerio_customers_get_person_subscription_preferences
Lookup a customer’s subscription preferences Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
customer_id | string | Yes | — | The ID of the customer you want to perform an operation against. |
id_type | string | No | — | The type of customer_id you want to use to reference a person. If you don’t provide this parameter, we assume that the customer_id in your request is a person’s id. |
language | string | No | — | A language tag you want the content translated in. If none is provided, the content will be sent in the default language of your subscription center. |
Accept-Language | string | No | — | The language tag you want the content translated in. If none is provided, the content will be sent in the default lanauge of your subscription center. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"customer_id": {
"type": "string",
"description": "The ID of the customer you want to perform an operation against."
},
"id_type": {
"type": "string",
"description": "The type of `customer_id` you want to use to reference a person. If you don't provide this parameter, we assume that the `customer_id` in your request is a person's `id`.",
"enum": [
"id",
"email",
"cio_id"
]
},
"language": {
"type": "string",
"description": "A [language tag](/journeys/channels/subscriptions/unsubscribe-faqs/#currently-supported-languages) you want the content translated in. If none is provided, the content will be sent in the default language of your subscription center."
},
"Accept-Language": {
"type": "string",
"description": "The [language tag](/journeys/channels/subscriptions/unsubscribe-faqs/#currently-supported-languages) you want the content translated in. If none is provided, the content will be sent in the default lanauge of your subscription center."
}
},
"required": [
"PCID",
"customer_id"
]
}
customerio_customers_get_segment
Get a segment Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
segment_id | integer | Yes | — | The identifier for a segment. You can find your segment’s ID on its page in the dashboard—go to Segments, select your segment, and find the ID under Usage. Or you can find your segment using the App API. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"segment_id": {
"type": "integer",
"description": "The identifier for a segment. You can find your segment's ID on its page in the dashboard—go to *Segments*, select your segment, and find the ID under *Usage*. Or you can find your segment using the [App API](#tag/Segments)."
}
},
"required": [
"PCID",
"segment_id"
]
}
customerio_customers_get_segment_count
Get a segment customer count Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
segment_id | integer | Yes | — | The identifier for a segment. You can find your segment’s ID on its page in the dashboard—go to Segments, select your segment, and find the ID under Usage. Or you can find your segment using the App API. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"segment_id": {
"type": "integer",
"description": "The identifier for a segment. You can find your segment's ID on its page in the dashboard—go to *Segments*, select your segment, and find the ID under *Usage*. Or you can find your segment using the [App API](#tag/Segments)."
}
},
"required": [
"PCID",
"segment_id"
]
}
customerio_customers_get_segment_dependencies
Get a segment’s dependencies Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
segment_id | integer | Yes | — | The identifier for a segment. You can find your segment’s ID on its page in the dashboard—go to Segments, select your segment, and find the ID under Usage. Or you can find your segment using the App API. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"segment_id": {
"type": "integer",
"description": "The identifier for a segment. You can find your segment's ID on its page in the dashboard—go to *Segments*, select your segment, and find the ID under *Usage*. Or you can find your segment using the [App API](#tag/Segments)."
}
},
"required": [
"PCID",
"segment_id"
]
}
customerio_customers_get_segment_membership
List customers in a segment Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
segment_id | integer | Yes | — | The identifier for a segment. You can find your segment’s ID on its page in the dashboard—go to Segments, select your segment, and find the ID under Usage. Or you can find your segment using the App API. |
start | string | No | — | The token for the page of results you want to return. Responses contain a next property. Use this property as the start value to return the next page of results. |
limit | integer | No | — | The maximum number of results you want to retrieve per page. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"segment_id": {
"type": "integer",
"description": "The identifier for a segment. You can find your segment's ID on its page in the dashboard—go to *Segments*, select your segment, and find the ID under *Usage*. Or you can find your segment using the [App API](#tag/Segments)."
},
"start": {
"type": "string",
"description": "The token for the page of results you want to return. Responses contain a `next` property. Use this property as the `start` value to return the next page of results."
},
"limit": {
"type": "integer",
"description": "The maximum number of results you want to retrieve per page."
}
},
"required": [
"PCID",
"segment_id"
]
}
customerio_customers_get_subscription_center_token
Generate a subscription center token Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
customer_id | string | Yes | — | The identifier for a person in your workspace—the same value you’d use as an id or email to identify a person in Customer.io. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"customer_id": {
"type": "string",
"description": "The identifier for a person in your workspace—the same value you'd use as an `id` or `email` to identify a person in Customer.io."
}
},
"required": [
"PCID",
"customer_id"
]
}
customerio_customers_get_topics
List subscription topicsShow inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
}
},
"required": [
"PCID"
]
}
customerio_customers_list_segments
List segmentsShow inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
}
},
"required": [
"PCID"
]
}

